Subject: Re: [PWE3] Pseudowire Sequence Number in draft-ietf-mpls-forwarding: a minor comment

From: Curtis Villamizar <[email-masked]>
Date: Wed, 20 Nov 2013 19:22:20 -0500

Sasha,

Thanks for pointing this out.  I'll propose replacement text shortly.

Curtis

Sent from my Verizon Wireless 4G LTE DROID

Alexander Vainshtein <[email-masked]> wrote:

><!-- /* Font Definitions */ @font-face 	{font-family:Calibri; 	panose-1:2 15 5 2 2 2 4 3 2 4;} /* Style Definitions */ p.MsoNormal, li.MsoNormal, div.MsoNormal 	{margin:0cm; 	margin-bottom:.0001pt; 	font-size:11.0pt; 	font-family:"Calibri","sans-serif";} a:link, span.MsoHyperlink 	{mso-style-priority:99; 	color:blue; 	text-decoration:underline;} a:visited, span.MsoHyperlinkFollowed 	{mso-style-priority:99; 	color:purple; 	text-decoration:underline;} span.EmailStyle17 	{mso-style-type:personal-compose; 	font-family:"Calibri","sans-serif"; 	color:windowtext;} .MsoChpDefault 	{mso-style-type:export-only; 	font-family:"Calibri","sans-serif";} @page WordSection1 	{size:612.0pt 792.0pt; 	margin:72.0pt 90.0pt 72.0pt 90.0pt;} div.WordSection1 	{page:WordSection1;} --> 
>
>Hi all,
>
>I would like to comment on the text in Section 2.1.8.1 “Pseudowire Sequence Number” in 
>
>draft-ietf-mpls-forwarding-03 - MPLS Forwarding Compliance and Performance Requirements.
>
> 
>
>This section states, in short, that the main drive for using the sequence number in the PW Control Word is handling of packet reordering events. TDM PWs are presented as a major example, with CBR ATM services as another example.
>
> 
>
>In fact, this statement is not accurate.
>
> 
>
>The main drive for mandating the use of sequence number in TM PWs is the need to detect and count lost packets because the egress PE MUST compensate the lost payload bit for bit. 
>
> 
>
>Ability to compensate reordering of PW packets at egress is a side effect of (a) sequence number usage and (b) usage of the de-jitter buffer in the egress PW. It is not mandatory and in any case is limited by the depth of the de-jitter buffer: re-ordered packets that cannot be accommodated within this buffer are treated as lost.
>
> 
>
>Additional details can be found, e.g., in section 6.2.2 of RFC 4553. Ability to re-order mis-ordered PW packets is defined there as OPTIONAL, while replacement of the payload of lost PW packets is defined as MANDATORY.
>
> 
>
>Hopefully these notes will be useful.
>
> 
>
> 
>
>Regards,
>
>     Sasha
>
> 
>
>This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof. 
>